mesos-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bernd Mathiske <be...@mesosphere.io>
Subject Re: [VOTE] Release Apache Mesos 0.26.0 (rc3)
Date Mon, 07 Dec 2015 09:48:14 GMT
+1 (binding)

Ubuntu 14 (clean without SSL, a few known flaky tests with SSL, all analyzed and deemed non-blockers)
CentOS 6.6 (a few known flaky tests with SSL, all analyzed and deemed non-blockers)

> On Dec 4, 2015, at 4:52 AM, Benjamin Mahler <benjamin.mahler@gmail.com> wrote:
> 
> +1 (binding) tests pass on OS X 10.11.1 with both SSL and non-SSL
> configurations.
> 
> Some feedback from framework developers would be great here.
> 
> Agreed that MESOS-3973 <https://issues.apache.org/jira/browse/MESOS-3973> is
> not a blocker, given it also occurs on 0.26.0 all the way back to 0.21.0.
> 
> 
> On Wed, Dec 2, 2015 at 9:01 AM, Bernd Mathiske <bernd@mesosphere.io> wrote:
> 
>> We are still working on that, but we do not regard "make distcheck" on Mac
>> as blocker. Other opinions?
>> 
>> On Dec 2, 2015, at 2:27 PM, Alex Rukletsov <alex@mesosphere.com> wrote:
>> 
>> `make check -j7` — OK
>> `make distcheck -j7` — fails, probably MESOS-3973
>> <https://issues.apache.org/jira/browse/MESOS-3973>, see hints below.
>> 
>> Both on Mac OS 10.10.4
>> 
>> I see the following lines in the log:
>> ...
>> libtool: warning: 'libmesos.la' has not been installed in
>> '/Users/alex/Projects/mesos/build/default/mesos-0.26.0/_inst/lib'
>> libtool: warning: 'libmesos.la' has not been installed in
>> '/Users/alex/Projects/mesos/build/default/mesos-0.26.0/_inst/lib'
>> ...
>> libtool: warning: 'libmesos.la' has not been installed in
>> '/Users/alex/Projects/mesos/build/default/mesos-0.26.0/_inst/lib'
>> libtool: warning: 'libmesos.la' has not been installed in
>> '/Users/alex/Projects/mesos/build/default/mesos-0.26.0/_inst/lib'
>> ...
>> Cannot uninstall requirement mesos, not installed
>> Cannot uninstall requirement mesos.cli, not installed
>> Cannot uninstall requirement mesos.interface, not installed
>> Cannot uninstall requirement mesos.native, not installed
>> ERROR: files left after uninstall:
>> ...
>> 
>> On Tue, Dec 1, 2015 at 8:49 PM, Till Toenshoff <toenshoff@me.com> wrote:
>> 
>>> Hi friends,
>>> 
>>> Please vote on releasing the following candidate as Apache Mesos 0.26.0.
>>> 
>>> The CHANGELOG for the release is available at:
>>> 
>>> https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=blob_plain;f=CHANGELOG;hb=0.26.0-rc3
>>> 
>>> --------------------------------------------------------------------------------
>>> 
>>> The candidate for Mesos 0.26.0 release is available at:
>>> 
>>> https://dist.apache.org/repos/dist/dev/mesos/0.26.0-rc3/mesos-0.26.0.tar.gz
>>> 
>>> The tag to be voted on is 0.26.0-rc3:
>>> https://git-wip-us.apache.org/repos/asf?p=mesos.git;a=commit;h=0.26.0-rc3
>>> 
>>> The MD5 checksum of the tarball can be found at:
>>> 
>>> https://dist.apache.org/repos/dist/dev/mesos/0.26.0-rc3/mesos-0.26.0.tar.gz.md5
>>> 
>>> The signature of the tarball can be found at:
>>> 
>>> https://dist.apache.org/repos/dist/dev/mesos/0.26.0-rc3/mesos-0.26.0.tar.gz.asc
>>> 
>>> The PGP key used to sign the release is here:
>>> https://dist.apache.org/repos/dist/release/mesos/KEYS
>>> 
>>> The JAR is up in Maven in a staging repository here:
>>> https://repository.apache.org/content/repositories/orgapachemesos-1091
>>> 
>>> Please vote on releasing this package as Apache Mesos 0.26.0!
>>> 
>>> The vote is open until Fri Dec  4 19:00:35 CET 2015 and passes if a
>>> majority of at least 3 +1 PMC votes are cast.
>>> 
>>> [ ] +1 Release this package as Apache Mesos 0.26.0
>>> [ ] -1 Do not release this package because …
>>> 
>>> Thanks,
>>> Bernd & Till
>>> 
>>> 
>> 
>> 


Mime
View raw message